X2SYS_BINLIST(1)

NAME
x2sys_binlist - Create bin-index files from track data files

SYNOPSIS
x2sys_binlist track(s) [ -TTAG ] [ -Cc|f|g|e ] [ -D ] [ -Nunit ] [ -V ]

DESCRIPTION
x2sys_binlist reads one or more track data files and produces a multi-segment ASCII track bin-index file (tbf) with the track id in the header and one data record per bin crossed; these records contain lon, lat, index, flags[, dist], where lon, lat is the coordinates of the center of the bin, the index is the 1-D number of the bin, and flags is a bitflag that describes which data fields were available in each bin. The optional dist requires -D. The input files can be of any format, which must be described and passed with the -T option. The bin-index listing is a crude representation of where the track goes and is used by the data archivist to build a track data base for track queries such as to determine which tracks need to be compared for crossover analysis. You must run x2ys_init to initialize the tag before you can run the indexing.

tracks
    Can be one or more binary or ASCII data files. To give a list of names, use `cat tracks.lis`. If the names are missing the suffix we will append the suffix that goes with this TAG. Track files will be looked for first in the current directory and second in all directories listed in $X2SYS_HOME/TAG_paths.txt (if it exists). [If $X2SYS_HOME is not set it will default to $GMTHOME/share/x2sys].

OPTIONS
No space between the option flag and the associated arguments.

-C  Append a one-letter code to select the procedure for along-track distance calculation selected with -D (see -N for selecting units):
        c Cartesian distances in user units [Default].
        f Flat Earth distances.
        g Great circle distances.
        e Geodesic distances on current GMT ellipsoid.

-D  Calculate the length of trackline segments per bin [Default skips this step]. See -C for method and -N for units. The length fragments are given as the 5th output column (after the flags).

-N  Append the desired distance unit as e (meter), k (km), m (miles), or n (nautical miles). [Default is -Nk (km)]. Requires -D.

-T  Sets the data set TAG which among other things sets the definition file.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

EXAMPLES
To create a bin index table from the MGD77 file 01030061.mgd77 using a global, 1x1 degree bin system, do

x2sys_binlist 01030061.mgd77 -TMGD77 > 01030061.tbf

To create a track bin index file of all MGD77+ files residing in the current directory at a bin resolution of 30 x 30 minutes, calculating the geodesic distance lengths for each bin in km, run

x2sys_binlist *.nc -TMGD77+ -Ce -D > all.tbf

SEE ALSO
gmtdefaults(1) x2sys_init(1)